Bug 806165 - [abrt] firefox-11.0-1.fc16: g_malloc: Process /usr/lib/firefox/firefox was killed by signal 5 (SIGTRAP)
[abrt] firefox-11.0-1.fc16: g_malloc: Process /usr/lib/firefox/firefox was ki...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:46bd1d97707f3519705b26dd8a6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 01:03 EDT by Dave
Modified: 2013-02-13 13:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:31:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (43.87 KB, text/plain)
2012-03-23 01:03 EDT, Dave
no flags Details
File: dso_list (14.71 KB, text/plain)
2012-03-23 01:03 EDT, Dave
no flags Details
File: build_ids (6.17 KB, text/plain)
2012-03-23 01:03 EDT, Dave
no flags Details
File: backtrace (119.87 KB, text/plain)
2012-03-23 01:03 EDT, Dave
no flags Details

  None (edit)
Description Dave 2012-03-23 01:03:15 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/lib/firefox/firefox
crash_function: g_malloc
executable:     /usr/lib/firefox/firefox
kernel:         3.2.10-1.fc16.i686.PAE
pid:            24113
pwd:            /home/dcatkin
reason:         Process /usr/lib/firefox/firefox was killed by signal 5 (SIGTRAP)
time:           Thu 22 Mar 2012 10:15:59 PM MST
uid:            1000
username:       dcatkin

backtrace:      Text file, 122743 bytes
build_ids:      Text file, 6316 bytes
dso_list:       Text file, 15064 bytes
maps:           Text file, 44922 bytes

environ:
:XDG_VTNR=1
:XSUNTRANSPORT=shmem
:XDG_SESSION_ID=2
:HOSTNAME=home.69isfine.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=24113
:GPG_AGENT_INFO=/tmp/keyring-5G0IIj/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=gnome-shell-1598-home.69isfine.com-firefox-122_TIME448061492
:HISTSIZE=1000
:XDG_SESSION_COOKIE=488dd0f439877fd7fb6aba440000000a-1332030361.82879-856027277
:GJS_DEBUG_OUTPUT=stderr
:GNOME_KEYRING_CONTROL=/tmp/keyring-5G0IIj
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:MOZILLA_FIVE_HOME=/usr/lib/firefox
:IMSETTINGS_MODULE=none
:USER=dcatkin
:LD_LIBRARY_PATH=/usr/lib/firefox:/usr/lib/firefox/plugins:/usr/lib/firefox
:SSH_AUTH_SOCK=/tmp/keyring-5G0IIj/ssh
:LIBPATH=/usr/lib/firefox:/usr/lib/firefox
:USERNAME=dcatkin
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1385,unix/unix:/tmp/.ICE-unix/1385
:GNOME_DISABLE_CRASH_DIALOG=1
:MOZ_APP_LAUNCHER=/usr/bin/firefox
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/mozilla-firefox.desktop
:MOZ_PLUGIN_PATH=/usr/lib/mozilla/plugins:/usr/lib/firefox/plugins
:MAIL=/var/spool/mail/dcatkin
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/dcatkin/.local/bin:/home/dcatkin/bin
:DESKTOP_SESSION=gnome
:FONTCONFIG_PATH=/etc/fonts:/usr/lib/firefox/res/Xft
:QT_IM_MODULE=xim
:PWD=/home/dcatkin
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1379
:LANG=en_US.UTF-8
:XSUNSMESIZE=512
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/dcatkin
:XDG_SEAT=seat0
:SHLVL=1
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:DYLD_LIBRARY_PATH=/usr/lib/firefox:/usr/lib/firefox
:LOGNAME=dcatkin
:MOZ_GRE_CONF=/etc/gre.d/gre.conf
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-EJUDyXGUH0,guid=dc96c5ae1f8522a1d0a311be0000001c
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SHLIB_PATH=/usr/lib/firefox:/usr/lib/firefox
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/dcatkin
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-dcatkin-oMqp7Z/database

var_log_messages:
:Mar 18 13:56:26 home yum[5951]: Updated: firefox-11.0-1.fc16.i686
:Mar 22 22:16:04 home abrt[2003]: Saved core dump of pid 24113 (/usr/lib/firefox/firefox) to /var/spool/abrt/ccpp-2012-03-22-22:15:59-24113 (428302336 bytes)

xsession_errors:
:(firefox:1892): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:1892): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:2180): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:2180): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:5240): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:5240): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:5737): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:5737): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:16868): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:16868): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:19282): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:19282): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:32145): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:32145): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:32413): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:32413): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:9085): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:9085): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:9215): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:9215): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:9381): Gtk-WARNING **: Unable to retrieve the file info for `file:///home/dcatkin/web-design/fed-corruption/images/treason1.jpg': Error stating file '/home/dcatkin/web-design/fed-corruption/images/treason1.jpg': No such file or directory
:(firefox:9381): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:9381): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:10656): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:10656): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:12458): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:12458): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:14684): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:14684): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:22722): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:22722): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:22906): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:22906): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:24041): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:24041): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:2049): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:2049): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:2355): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
:(firefox:2355): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
Comment 1 Dave 2012-03-23 01:03:18 EDT
Created attachment 572151 [details]
File: maps
Comment 2 Dave 2012-03-23 01:03:20 EDT
Created attachment 572152 [details]
File: dso_list
Comment 3 Dave 2012-03-23 01:03:21 EDT
Created attachment 572153 [details]
File: build_ids
Comment 4 Dave 2012-03-23 01:03:23 EDT
Created attachment 572154 [details]
File: backtrace
Comment 5 Jan Horak 2012-03-27 09:20:20 EDT
According to backtrace out of memory? Not sure, reassigning to glib.
Comment 6 Fauzie Adriansyah 2012-05-21 23:23:56 EDT
I have same experience. This bug came up after upgraded some packages to the newes (if I'm not mistaken). The packages are curl, libgusb, colord and cifs-utils. I don't know and not sure if these packages are the problem source. I just got the bugs after upgrading these packages.

I went troubleshooting by trying to run firefox from terminal. There is a message stating firefox cannot create ORBit temporary file in folder /tmp. I checked the permission of folder /tmp and it was 755.

For what I know that folder /tmp should be world writable, so I change the permission to 777 and firefox work fine now.
Comment 7 Fedora End Of Life 2013-01-16 10:31:34 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 13:32:11 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.